summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-06-08 15:15:52 -0500
committerEd Warnicke <eaw@cisco.com>2016-06-08 15:32:52 -0500
commit8988a28cd73c4bdb8dcf0248b643a15cc195ca4e (patch)
tree9dfd72a228f18f1986c7236eb89effdd73fafbbb /jjb
parentd57cb9342d108772a38339b2526c9dc441c13f5d (diff)
Add common setup for vpp plugin verifies
Change-Id: Iac8b1d5408a9187fd39276881e21501c247c2231 Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/nsh_sfc/nsh_sfc.yaml3
-rw-r--r--jjb/scripts/setup_vpp_plugin_dev_env.sh43
2 files changed, 46 insertions, 0 deletions
diff --git a/jjb/nsh_sfc/nsh_sfc.yaml b/jjb/nsh_sfc/nsh_sfc.yaml
index 90d460930..6a21f5c71 100644
--- a/jjb/nsh_sfc/nsh_sfc.yaml
+++ b/jjb/nsh_sfc/nsh_sfc.yaml
@@ -61,6 +61,7 @@
- shell:
!include-raw-escape:
- ../scripts/cleanup_vpp_plugin_dev_env.sh
+ - ../scripts/setup_vpp_plugin_dev_env.sh
- include-raw-nsh_sfc-build.sh
- ../scripts/cleanup_vpp_plugin_dev_env.sh
@@ -120,6 +121,7 @@
- shell:
!include-raw-escape:
- ../scripts/cleanup_vpp_plugin_dev_env.sh
+ - ../scripts/setup_vpp_plugin_dev_env.sh
- include-raw-nsh_sfc-build.sh
- ../scripts/cleanup_vpp_plugin_dev_env.sh
@@ -165,5 +167,6 @@
- shell:
!include-raw-escape:
- ../scripts/cleanup_vpp_plugin_dev_env.sh
+ - ../scripts/setup_vpp_plugin_dev_env.sh
- include-raw-nsh_sfc-build.sh
- ../scripts/cleanup_vpp_plugin_dev_env.sh \ No newline at end of file
diff --git a/jjb/scripts/setup_vpp_plugin_dev_env.sh b/jjb/scripts/setup_vpp_plugin_dev_env.sh
new file mode 100644
index 000000000..1b92adb84
--- /dev/null
+++ b/jjb/scripts/setup_vpp_plugin_dev_env.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e -o pipefail
+
+#!/bin/bash
+set -e -o pipefail
+
+# Figure out what system we are running on
+if [ -f /etc/lsb-release ];then
+ . /etc/lsb-release
+elif [ -f /etc/redhat-release ];then
+ sudo yum install -y redhat-lsb
+ DISTRIB_ID=`lsb_release -si`
+ DISTRIB_RELEASE=`lsb_release -sr`
+ DISTRIB_CODENAME=`lsb_release -sc`
+ DISTRIB_DESCRIPTION=`lsb_release -sd`
+fi
+echo DISTRIB_ID: $DISTRIB_ID
+echo DISTRIB_RELEASE: $DISTRIB_RELEASE
+echo DISTRIB_CODENAME: $DISTRIB_CODENAME
+echo DISTRIB_DESCRIPTION: $DISTRIB_DESCRIPTION
+
+function setup {
+ REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
+ echo "REPO_URL: ${REPO_URL}"
+ # Setup by installing vpp-dev and vpp-lib
+ if [ $DISTRIB_ID == "Ubuntu" ]; then
+ echo "deb ${REPO_URL} ./" | sudo tee /etc/apt/sources.list.d/99fd.io.list
+ sudo apt-get update
+ sudo apt-get -y --force-yes install vpp-dev vpp-lib
+ elif [[ $DISTRIB_ID == "CentOS" ]]; then
+ sudo cat << EOF > fdio-master.repo
+[fdio-master]
+name=fd.io master branch latest merge
+baseurl=${REPO_URL}
+enabled=1
+gpgcheck=0
+EOF
+ sudo mv fdio-master.repo /etc/yum.repos.d/fdio-master.repo
+ sudo yum -y install vpp-devel vpp-lib
+ fi
+}
+
+setup \ No newline at end of file